# Class ExportedAttachmentDto | EchoHub Documentation

# Class ExportedAttachmentDto

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record ExportedAttachmentDto : IEquatable<ExportedAttachmentDto>

Inheritance
  object
  ExportedAttachmentDto

Implements
  IEquatable<ExportedAttachmentDto>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ExportedAttachmentDto(ExportedAttachmentDto)

    protected ExportedAttachmentDto(ExportedAttachmentDto original)

#### Parameters

`original` ExportedAttachmentDto

### ExportedAttachmentDto(string, string, long, string, string, DateTimeOffset)

    public ExportedAttachmentDto(string FileName, string Url, long FileSize, string Kind, string ChannelName, DateTimeOffset SentAt)

#### Parameters

`FileName` string
`Url` string
`FileSize` long
`Kind` string
`ChannelName` string
`SentAt` DateTimeOffset

## Properties

### ChannelName

    public string ChannelName { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### FileName

    public string FileName { get; init; }

#### Property Value

string

### FileSize

    public long FileSize { get; init; }

#### Property Value

long

### Kind

    public string Kind { get; init; }

#### Property Value

string

### SentAt

    public DateTimeOffset SentAt { get; init; }

#### Property Value

DateTimeOffset

### Url

    public string Url { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string, out long, out string, out string, out DateTimeOffset)

    public void Deconstruct(out string FileName, out string Url, out long FileSize, out string Kind, out string ChannelName, out DateTimeOffset SentAt)

#### Parameters

`FileName` string
`Url` string
`FileSize` long
`Kind` string
`ChannelName` string
`SentAt` DateTimeOffset

### Equals(ExportedAttachmentDto?)

    public virtual bool Equals(ExportedAttachmentDto? other)

#### Parameters

`other` ExportedAttachmentDto

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ExportedAttachmentDto?, ExportedAttachmentDto?)

    public static bool operator ==(ExportedAttachmentDto? left, ExportedAttachmentDto? right)

#### Parameters

`left` ExportedAttachmentDto
`right` ExportedAttachmentDto

#### Returns

bool

### operator !=(ExportedAttachmentDto?, ExportedAttachmentDto?)

    public static bool operator !=(ExportedAttachmentDto? left, ExportedAttachmentDto? right)

#### Parameters

`left` ExportedAttachmentDto
`right` ExportedAttachmentDto

#### Returns

bool